package org.sazabi.util.bijection.json4s.native

import com.twitter.bijection.Injection

import org.json4s.JValue
import org.json4s.native.JsonMethods.{compact, parse, render}

import scala.util.control.Exception.allCatch

trait Injections {
  implicit val JValueToString: Injection[JValue, String] =
    Injection.build[JValue, String](
      j => compact(render(j)))(allCatch opt parse(_))
}

object injections extends Injections
